QGIS Application - Feature request #6673
Curved labels : max angle delta between letters
2012-11-09 11:35 PM - Laurent Gasnier

Status: Open

Priority: Normal

Assignee:

Category: Labelling

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 15845
Description

Hi,

In new labeling tool, it would be useful for the user to set the value of the max angle delta between letters (like MAXOVERLAPANGLE of

Mapserver).

See attached screenshot test_anno_curv_roubion2.png: Black labels are drawn by a WMS Mapserver layer, red labels by QGIS.

The label "Le Roubion" is drawn only if MAXOVERLAPANGLE is set to 30 in .map file (with default value, it's not drawn).

Related issues:

Related to QGIS Application - Bug report # 6763: Labels don't wrap around 90 ...

Closed 2012-11-26

History

#1 - 2012-11-27 08:42 AM - Regis Haubourg

related to #6763

#2 - 2012-11-27 05:38 PM - Larry Shaffer
- Status changed from Open to In Progress

See #6763-6 for update on related issue.

Please test with commit:ee12df2 to see if your labels now can match MapServer's. Some comparison screen snaps again would be nice.

#3 - 2012-11-30 05:08 AM - Laurent Gasnier
- File test_canal_de_bourgogne.png added
- File test_anno_curv_roubion_outside_angle_40.png added

Hi Larry,
Thanks, it's all right.
The label "Le roubion" is drawn with outside angle of 40.

See attached file test_anno_curv_roubion_outside_angle_40 (black labels from mapserver, red labels from qgis).

Second example: "Canal de Bourgogne" and "La Vingeanne" are drawn with outside angle of 30 and letter spacing of 150 mapunits.

See attached file test_canal_de_bourgogne.
For missing Qgis labels in this second example, see #6674

Seeing your example in #6763-6, your proposal of character averaging is interesting.
#4 - 2012-11-30 05:59 AM - Regis Haubourg
- File labels.jpg added

Hi Larry,

confirmed here too, and really interested in the averaging solution to allow have readable labels for complex lines. See screenshot, that typically show big

rivers, zoomed out, are the first to loose labeling, or to have overlapping characters.

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-07-16 03:31 PM - Regis Haubourg
- Description updated
- Status changed from In Progress to Open

Not in progress anymore, any funder welcome, QEP are all ready for those enhancements.

Files

test_anno_curv_roubion2.png 112 KB 2012-11-09 Laurent Gasnier
